Notice Regarding Changes in Supported Browsers

15 Jul 2016 at 11:50

In the beginning of August 1st, 2016, the supported browsers on Conyac will be changed as mentioned below:


The following browsers are supported by Conyac currently:


  • Firefox
  • Google Chrome


We recommend that you use the latest version of the above browsers to keep a fast and secure working environment.


Caution: We do not recommend you to use the below listed browsers. However, please feel free to contact us If you come across any related issues; we will do our best to help you out.


  • Internet Explorer 10 or newer
  • Safari 6
  • Android browser
  • Safari for mobiles


The following browsers are not supported:

  • Internet Explorer 6.0 to 9.0


About Internet Explorer 9 and10

To keep the secure and better working environment, we are always trying to update the browsers to the latest version on Conyac. As the Internet Explorer 9 might cause some bugs or malfunctions, we decided to terminate it.


※ According to the alteration of Internet Explorer policy from Microsoft, the supported Internet Explorer 10 is terminated for the users of Windows 7 or newer version with Windows PC, please update your browser to the latest version of Internet Explorer 11.


※ As Windows Vista does not support any newer version than Internet Explorer 9, please switch it to the Mozilla Firefox.


We do not provide any support for Android and iOS apps. However, we do plan on enhancing the mobile navigation experience on Conyac in the near future.


Please contact us at https://conyac.cc/feedbacks/new for any problem related to this subject.